Modify

Opened 6 years ago

Closed 6 years ago

#10074 closed defect (no_response)

D-Link DWA-125 (rt3070) on TP-Link WR1043ND (ar71xx) Problem

Reported by: khudko83@… Owned by: developers
Priority: high Milestone: Backfire 10.03.1
Component: packages Version: Backfire 10.03.1 RC5
Keywords: Cc:

Description

I have a problem connecting D-Link DWA-125 (rt3070) USB WiFi dongle to the TP-Link WR1043ND (ar71xx) router!
Actually WiFi dongle doesn't work correctly!
The matter is as below.
I'm using OpenWRT BackFire 10.03.1-rc5 (tried also last Trunk). I have installed appropriate packages - kmod-rt2800-usb, kmod-rt2x00-usb an even kmod-rt73xx-usb.
Looks like the Router recognizes the dongle, but WiFi rt3070 behaves very strange. On one hand, it seems like the dongle works - every time I make WiFi nets search in LuCi or SSH, WiFi LED (on the rt3070 dongle) is blinking, signaling that device is in work! On other hand, it doesn't find any wifi nets in vicinity, it doesn't connect to the wifi net, which exists (WiFi USB dongle state in LuCi is always - "Not associated or disabled").
Moreover, MAC address of the dongle (marked on the dongle casing, checked by ipconfig in Windows) is 00:26:5a:18:77:35 . But router recognized another MAC for the dongle - 18:5a:26:00:ff:ff (if look more attentively - the same MAC, but inverted with last fore digits as FFFF).
I have changed the MAC to the correct value, but no result - rt3070 still doesn't work correctly.
What can be the problem? Maybe rt3070 driver problem?
Many thanks in advance for assistance!

contents of wireless file:

config wifi-device  radio0
        option type     mac80211
        option channel  11
        option macaddr  54:e6:fc:dc:d1:42
        option hwmode   11ng
        option htmode   HT20
        list ht_capab   SHORT-GI-40
        list ht_capab   DSSS_CCK-40
        # REMOVE THIS LINE TO ENABLE WIFI:
        option disabled 0

config wifi-iface
        option device   radio0
        option network  lan
        option mode     ap
        option ssid     OpenWrt
        option encryption none

config wifi-device  radio1
        option type     mac80211
        option channel  3
        option macaddr  18:5a:26:00:ff:ff
        option hwmode   11ng
        option htmode   HT20
        list ht_capab   GF
        list ht_capab   SHORT-GI-20
        list ht_capab   SHORT-GI-40
        # REMOVE THIS LINE TO ENABLE WIFI:
        option disabled 0

config wifi-iface
        option device   radio1
        option network  lan
        option mode     ap
        option ssid     Test
        option encryption none
root@OpenWrt:~# iwconfig

lo        no wireless extensions.
eth0      no wireless extensions.
eth0.1    no wireless extensions.
eth0.2    no wireless extensions.
br-lan    no wireless extensions.
wlan0     IEEE 802.11bgn  Mode:Master  Frequency:2.462 GHz  Tx-Power=27 dBm
          RTS thr:off   Fragment thr:off
          Power Management:on
mon.wlan0  IEEE 802.11bgn  Mode:Monitor  Tx-Power=27 dBm
          RTS thr:off   Fragment thr:off
          Power Management:on
wlan1     IEEE 802.11abgn  ESSID:off/any
          Mode:Managed  Access Point: Not-Associated   Tx-Power=30 dBm
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
root@OpenWrt:~# iwlist wlan1 scan

wlan1     Interface doesn't support scanning : Device or resource busy

System and Kernel Logs are:

System Log

Mar 27 02:44:00 OpenWrt user.info kernel: NET: Registered protocol family 2
Mar 27 02:44:00 OpenWrt user.info kernel: IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
Mar 27 02:44:00 OpenWrt user.info kernel: TCP established hash table entries: 1024 (order: 1, 8192 bytes)
Mar 27 02:44:00 OpenWrt user.info kernel: TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
Mar 27 02:44:00 OpenWrt user.info kernel: TCP: Hash tables configured (established 1024 bind 1024)
Mar 27 02:44:00 OpenWrt user.info kernel: TCP reno registered
Mar 27 02:44:00 OpenWrt user.info kernel: NET: Registered protocol family 1
Mar 27 02:44:00 OpenWrt user.info kernel: squashfs: version 4.0 (2009/01/31) Phillip Lougher
Mar 27 02:44:00 OpenWrt user.warn kernel: Registering mini_fo version $Id$
Mar 27 02:44:00 OpenWrt user.info kernel: JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
Mar 27 02:44:00 OpenWrt user.warn kernel: yaffs Jul 14 2011 18:44:50 Installing. 
Mar 27 02:44:00 OpenWrt user.info kernel: msgmni has been set to 57
Mar 27 02:44:00 OpenWrt user.info kernel: io scheduler noop registered
Mar 27 02:44:00 OpenWrt user.info kernel: io scheduler deadline registered (default)
Mar 27 02:44:00 OpenWrt user.info kernel: Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
Mar 27 02:44:00 OpenWrt user.info kernel: serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
Mar 27 02:44:00 OpenWrt user.info kernel: console [ttyS0] enabled, bootconsole disabled
Mar 27 02:44:00 OpenWrt user.info kernel: Atheros AR71xx SPI Controller driver version 0.2.4
Mar 27 02:44:00 OpenWrt user.info kernel: m25p80 spi0.0: s25sl064a (8192 Kbytes)
Mar 27 02:44:00 OpenWrt user.debug kernel: spi0.0: searching for MyLoader partition table at offset 0x10000
Mar 27 02:44:00 OpenWrt user.debug kernel: spi0.0: searching for MyLoader partition table at offset 0x20000
Mar 27 02:44:00 OpenWrt user.debug kernel: spi0.0: searching for MyLoader partition table at offset 0x30000
Mar 27 02:44:00 OpenWrt user.debug kernel: spi0.0: searching for MyLoader partition table at offset 0x40000
Mar 27 02:44:00 OpenWrt user.debug kernel: spi0.0: no MyLoader partition table found
Mar 27 02:44:00 OpenWrt user.notice kernel: Searching for RedBoot partition table in spi0.0 at offset 0x7e0000
Mar 27 02:44:00 OpenWrt user.notice kernel: Searching for RedBoot partition table in spi0.0 at offset 0x7f0000
Mar 27 02:44:00 OpenWrt user.notice kernel: No RedBoot partition table detected in spi0.0
Mar 27 02:44:00 OpenWrt user.notice kernel: spi0.0: no WRT160NL signature found
Mar 27 02:44:00 OpenWrt user.notice kernel: Creating 5 MTD partitions on "spi0.0":
Mar 27 02:44:00 OpenWrt user.notice kernel: 0x000000000000-0x000000020000 : "u-boot"
Mar 27 02:44:00 OpenWrt user.notice kernel: 0x000000020000-0x000000160000 : "kernel"
Mar 27 02:44:00 OpenWrt user.notice kernel: 0x000000160000-0x0000007f0000 : "rootfs"
Mar 27 02:44:00 OpenWrt user.notice kernel: mtd: partition "rootfs" set to be root filesystem
Mar 27 02:44:00 OpenWrt user.info kernel: mtd: partition "rootfs_data" created automatically, ofs=380000, len=470000 
Mar 27 02:44:00 OpenWrt user.notice kernel: 0x000000380000-0x0000007f0000 : "rootfs_data"
Mar 27 02:44:00 OpenWrt user.notice kernel: 0x0000007f0000-0x000000800000 : "art"
Mar 27 02:44:00 OpenWrt user.notice kernel: 0x000000020000-0x0000007f0000 : "firmware"
Mar 27 02:44:00 OpenWrt user.notice kernel: Realtek RTL8366RB ethernet switch driver version 0.2.3
Mar 27 02:44:00 OpenWrt user.info kernel: rtl8366rb rtl8366rb: using GPIO pins 18 (SDA) and 19 (SCK)
Mar 27 02:44:00 OpenWrt user.info kernel: rtl8366rb rtl8366rb: RTL5937 ver. 3 chip found
Mar 27 02:44:00 OpenWrt user.info kernel: rtl8366rb: probed
Mar 27 02:44:00 OpenWrt user.info kernel: eth0: Atheros AG71xx at 0xb9000000, irq 4
Mar 27 02:44:00 OpenWrt user.debug kernel: eth0: using fixed link parameters
Mar 27 02:44:00 OpenWrt user.info kernel: Atheros AR71xx hardware watchdog driver version 0.1.0
Mar 27 02:44:00 OpenWrt user.debug kernel: ar71xx-wdt: timeout=15 secs (max=21)
Mar 27 02:44:00 OpenWrt user.info kernel: TCP westwood registered
Mar 27 02:44:00 OpenWrt user.info kernel: NET: Registered protocol family 17
Mar 27 02:44:00 OpenWrt user.info kernel: 802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
Mar 27 02:44:00 OpenWrt user.info kernel: All bugs added by David S. Miller <davem@redhat.com>
Mar 27 02:44:00 OpenWrt user.warn kernel: VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Mar 27 02:44:00 OpenWrt user.info kernel: Freeing unused kernel memory: 152k freed
Mar 27 02:44:00 OpenWrt user.warn kernel: Please be patient, while OpenWrt loads ...
Mar 27 02:44:00 OpenWrt user.info kernel: input: gpio-buttons as /devices/platform/gpio-buttons/input/input0
Mar 27 02:44:00 OpenWrt user.info kernel: Button Hotplug driver version 0.3.1
Mar 27 02:44:00 OpenWrt user.debug kernel: ar71xx: pll_reg 0xb8050014: 0x1a000000
Mar 27 02:44:00 OpenWrt user.info kernel: eth0: link up (1000Mbps/Full duplex)
Mar 27 02:44:00 OpenWrt user.info kernel: Registered led device: tl-wr1043nd:green:usb
Mar 27 02:44:00 OpenWrt user.info kernel: Registered led device: tl-wr1043nd:green:system
Mar 27 02:44:00 OpenWrt user.info kernel: Registered led device: tl-wr1043nd:green:qss
Mar 27 02:44:00 OpenWrt user.info kernel: Registered led device: tl-wr1043nd:green:wlan
Mar 27 02:44:00 OpenWrt user.info kernel: mini_fo: using base directory: /
Mar 27 02:44:00 OpenWrt user.info kernel: mini_fo: using storage directory: /overlay
Mar 27 02:44:00 OpenWrt user.info kernel: eth0: link down
Mar 27 02:44:01 OpenWrt user.debug kernel: ar71xx: pll_reg 0xb8050014: 0x1a000000
Mar 27 02:44:01 OpenWrt user.info kernel: eth0: link up (1000Mbps/Full duplex)
Mar 27 02:44:01 OpenWrt user.notice ifup: Enabling Router Solicitations on loopback (lo)
Mar 27 02:44:01 OpenWrt user.notice rdate: No usable time server for loopback found
Mar 27 02:44:01 OpenWrt user.info kernel: device eth0.1 entered promiscuous mode
Mar 27 02:44:01 OpenWrt user.info kernel: device eth0 entered promiscuous mode
Mar 27 02:44:01 OpenWrt user.info kernel: br-lan: port 1(eth0.1) entering forwarding state
Mar 27 02:44:01 OpenWrt user.info kernel: Compat-wireless backport release: compat-wireless-2011-06-23
Mar 27 02:44:01 OpenWrt user.info kernel: Backport based on wireless-testing.git master-2011-06-22
Mar 27 02:44:02 OpenWrt user.info kernel: cfg80211: Calling CRDA to update world regulatory domain
Mar 27 02:44:03 OpenWrt user.info kernel: usbcore: registered new interface driver usbfs
Mar 27 02:44:03 OpenWrt user.info kernel: usbcore: registered new interface driver hub
Mar 27 02:44:03 OpenWrt user.info kernel: usbcore: registered new device driver usb
Mar 27 02:44:04 OpenWrt user.notice ifup: Enabling Router Solicitations on lan (br-lan)
Mar 27 02:44:04 OpenWrt user.info kernel: cfg80211: World regulatory domain updated:
Mar 27 02:44:04 OpenWrt user.info kernel: cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Mar 27 02:44:04 OpenWrt user.info kernel: cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Mar 27 02:44:04 OpenWrt user.info kernel: cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Mar 27 02:44:04 OpenWrt user.info kernel: cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Mar 27 02:44:04 OpenWrt user.info kernel: cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Mar 27 02:44:04 OpenWrt user.info kernel: cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Mar 27 02:44:05 OpenWrt user.notice rdate: No usable time server for lan found
Mar 27 02:44:05 OpenWrt user.info kernel: usbcore: registered new interface driver rt73usb
Mar 27 02:44:06 OpenWrt user.debug kernel: ath: EEPROM regdomain: 0x0
Mar 27 02:44:06 OpenWrt user.debug kernel: ath: EEPROM indicates default country code should be used
Mar 27 02:44:06 OpenWrt user.debug kernel: ath: doing EEPROM country->regdmn map search
Mar 27 02:44:06 OpenWrt user.debug kernel: ath: country maps to regdmn code: 0x3a
Mar 27 02:44:06 OpenWrt user.debug kernel: ath: Country alpha2 being used: US
Mar 27 02:44:06 OpenWrt user.debug kernel: ath: Regpair used: 0x3a
Mar 27 02:44:06 OpenWrt user.debug kernel: ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Mar 27 02:44:06 OpenWrt user.info kernel: ieee80211 phy0: Atheros AR9100 MAC/BB Rev:7 AR2133 RF Rev:a2 mem=0xb80c0000, irq=2
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211: Calling CRDA for country: US
Mar 27 02:44:06 OpenWrt user.info kernel: usbcore: registered new interface driver rt2800usb
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211: Regulatory domain changed to country: US
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Mar 27 02:44:06 OpenWrt user.info kernel: cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Mar 27 02:44:06 OpenWrt user.info kernel: PPP generic driver version 2.4.2
Mar 27 02:44:06 OpenWrt user.info kernel: ip_tables: (C) 2000-2006 Netfilter Core Team
Mar 27 02:44:06 OpenWrt user.info kernel: NET: Registered protocol family 24
Mar 27 02:44:07 OpenWrt user.info kernel: ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
Mar 27 02:44:07 OpenWrt user.info kernel: ar71xx-ehci ar71xx-ehci: Atheros AR91xx built-in EHCI controller
Mar 27 02:44:07 OpenWrt user.info kernel: ar71xx-ehci ar71xx-ehci: new USB bus registered, assigned bus number 1
Mar 27 02:44:07 OpenWrt user.info kernel: ar71xx-ehci ar71xx-ehci: irq 3, io mem 0x1b000000
Mar 27 02:44:07 OpenWrt user.info kernel: ar71xx-ehci ar71xx-ehci: USB 2.0 started, EHCI 1.00
Mar 27 02:44:07 OpenWrt user.info kernel: usb usb1: configuration #1 chosen from 1 choice
Mar 27 02:44:07 OpenWrt user.info kernel: hub 1-0:1.0: USB hub found
Mar 27 02:44:07 OpenWrt user.info kernel: hub 1-0:1.0: 1 port detected
Mar 27 02:44:07 OpenWrt user.info kernel: usb 1-1: new high speed USB device using ar71xx-ehci and address 2
Mar 27 02:44:07 OpenWrt user.warn kernel: nf_conntrack version 0.5.0 (460 buckets, 1840 max)
Mar 27 02:44:07 OpenWrt user.warn kernel: CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
Mar 27 02:44:07 OpenWrt user.warn kernel: nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
Mar 27 02:44:07 OpenWrt user.warn kernel: sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
Mar 27 02:44:07 OpenWrt user.info kernel: usb 1-1: configuration #1 chosen from 1 choice
Mar 27 02:44:08 OpenWrt user.info kernel: usb 1-1: reset high speed USB device using ar71xx-ehci and address 2
Mar 27 02:44:08 OpenWrt user.debug kernel: ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
Mar 27 02:44:08 OpenWrt user.info kernel: Registered led device: rt2800usb-phy1::radio
Mar 27 02:44:08 OpenWrt user.info kernel: Registered led device: rt2800usb-phy1::assoc
Mar 27 02:44:08 OpenWrt user.info kernel: Registered led device: rt2800usb-phy1::quality
Mar 27 02:44:09 OpenWrt user.warn kernel: ath_hal: module license 'Proprietary' taints kernel.
Mar 27 02:44:09 OpenWrt user.warn kernel: Disabling lock debugging due to kernel taint
Mar 27 02:44:09 OpenWrt user.info kernel: ath_hal: 2009-05-08 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, REGOPS_FUNC, XR)
Mar 27 02:44:09 OpenWrt user.info kernel: ath_pci: trunk
Mar 27 02:44:09 OpenWrt user.info kernel: wlan: trunk
Mar 27 02:44:09 OpenWrt user.info kernel: wlan: mac acl policy registered
Mar 27 02:44:09 OpenWrt user.info kernel: ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (trunk)
Mar 27 02:44:09 OpenWrt user.info kernel: ath_rate_minstrel: look around rate set to 10%
Mar 27 02:44:09 OpenWrt user.info kernel: ath_rate_minstrel: EWMA rolloff level set to 75%
Mar 27 02:44:09 OpenWrt user.info kernel: ath_rate_minstrel: max segment size in the mrr set to 6000 us
Mar 27 02:44:10 OpenWrt user.info kernel: ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
Mar 27 02:44:13 OpenWrt user.info kernel: device wlan0 entered promiscuous mode
Mar 27 02:44:13 OpenWrt user.info kernel: br-lan: port 2(wlan0) entering forwarding state
Mar 27 02:44:15 OpenWrt user.notice ifup: Allowing Router Advertisements on wan (eth0.2)
Mar 27 02:44:15 OpenWrt user.info kernel: device wlan0 left promiscuous mode
Mar 27 02:44:15 OpenWrt user.info kernel: br-lan: port 2(wlan0) entering disabled state
Mar 27 02:44:15 OpenWrt user.info kernel: device wlan0 entered promiscuous mode
Mar 27 02:44:15 OpenWrt user.info kernel: br-lan: port 2(wlan0) entering forwarding state
Mar 27 02:44:17 OpenWrt user.info kernel: device wlan1 entered promiscuous mode
Mar 27 02:44:17 OpenWrt user.info kernel: br-lan: port 3(wlan1) entering forwarding state
Mar 27 02:44:19 OpenWrt user.info kernel: device wlan1 left promiscuous mode
Mar 27 02:44:19 OpenWrt user.info kernel: br-lan: port 3(wlan1) entering disabled state
Mar 27 02:44:19 OpenWrt user.info kernel: device wlan1 entered promiscuous mode
Mar 27 02:44:19 OpenWrt user.info kernel: br-lan: port 3(wlan1) entering forwarding state
Mar 27 02:44:20 OpenWrt user.info sysinit: Loading defaults
Mar 27 02:44:20 OpenWrt user.info sysinit: Loading synflood protection
Mar 27 02:44:20 OpenWrt user.info sysinit: Adding custom chains
Mar 27 02:44:21 OpenWrt user.info sysinit: Loading zones
Mar 27 02:44:21 OpenWrt user.info sysinit: Loading forwardings
Mar 27 02:44:21 OpenWrt user.info sysinit: Loading redirects
Mar 27 02:44:21 OpenWrt user.info sysinit: Loading rules
Mar 27 02:44:21 OpenWrt user.info sysinit: Loading includes
Mar 27 02:44:22 OpenWrt user.info sysinit: Optimizing conntrack
Mar 27 02:44:22 OpenWrt user.info sysinit: Loading interfaces
Mar 27 02:44:22 OpenWrt user.info firewall: adding lan (br-lan) to zone lan
Mar 27 02:44:22 OpenWrt user.info firewall: adding wan (eth0.2) to zone wan
Mar 27 02:44:23 OpenWrt authpriv.info dropbear[1484]: Running in background
Mar 27 02:44:23 OpenWrt user.notice dnsmasq: DNS rebinding protection is active, will discard upstream RFC1918 responses!
Mar 27 02:44:23 OpenWrt user.notice dnsmasq: Allowing 127.0.0.0/8 responses
Mar 27 02:44:25 OpenWrt user.notice rdate: Failed to sync with time-a.nist.gov
Sep  8 21:10:11 OpenWrt user.notice rdate: Synced with ntp.xs4all.nl
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq[1521]: started, version 2.55 cachesize 150
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq[1521]: compile time options: IPv6 GNU-getopt no-DBus no-I18N DHCP TFTP
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq-dhcp[1521]: DHCP, IP range 192.168.1.100 -- 192.168.1.250, lease time 12h
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq[1521]: using local addresses only for domain lan
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq[1521]: reading /tmp/resolv.conf.auto
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq[1521]: using nameserver 192.168.0.1#53
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq[1521]: using local addresses only for domain lan
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq[1521]: read /etc/hosts - 1 addresses
Sep  8 21:10:12 OpenWrt daemon.info dnsmasq-dhcp[1521]: read /etc/ethers - 0 addresses
Sep  8 21:10:12 OpenWrt user.info sysinit: setting up led WLAN
Sep  8 21:10:12 OpenWrt user.debug kernel: ar71xx-wdt: enabling watchdog timer
Sep  8 21:10:42 OpenWrt user.info kernel: br-lan: port 3(wlan1) entering disabled state
Sep  8 21:10:45 OpenWrt user.info kernel: br-lan: port 3(wlan1) entering forwarding state

Kernel Log

Linux version 2.6.32.27 (jow@nd-build-02.linux-appliance.net) (gcc version 4.3.3 (GCC) ) #7 Fri Jul 15 02:43:34 CEST 2011
prom: fw_arg0=00000007, fw_arg1=a1f77fb0, fw_arg2=a1f78440, fw_arg3=00000008
MyLoader: sysp=00000000, boardp=00000000, parts=00000000
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
Atheros AR9132 rev 2, CPU:400.000 MHz, AHB:200.000 MHz, DDR:400.000 MHz
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
On node 0 totalpages: 8192
free_area_init_node: node 0, pgdat 802daaa0, node_mem_map 81000000
  Normal zone: 64 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 8128 pages, LIFO batch:0
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line: rootfstype=squashfs,yaffs,jffs2 noinitrd console=ttyS0,115200 board=TL-WR1043ND
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=00000000
Readback ErrCtl register=00000000
Memory: 29288k/32768k available (2124k kernel code, 3480k reserved, 416k data, 152k init, 0k highmem)
SLUB: Genslabs=7, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Hierarchical RCU implementation.
NR_IRQS:56
Calibrating delay loop... 266.24 BogoMIPS (lpj=1331200)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is TP-LINK TL-WR1043ND
bio: create slab <bio-0> at 0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
yaffs Jul 14 2011 18:44:50 Installing. 
msgmni has been set to 57
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: s25sl064a (8192 Kbytes)
spi0.0: searching for MyLoader partition table at offset 0x10000
spi0.0: searching for MyLoader partition table at offset 0x20000
spi0.0: searching for MyLoader partition table at offset 0x30000
spi0.0: searching for MyLoader partition table at offset 0x40000
spi0.0: no MyLoader partition table found
Searching for RedBoot partition table in spi0.0 at offset 0x7e0000
Searching for RedBoot partition table in spi0.0 at offset 0x7f0000
No RedBoot partition table detected in spi0.0
spi0.0: no WRT160NL signature found
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000020000 : "u-boot"
0x000000020000-0x000000160000 : "kernel"
0x000000160000-0x0000007f0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=380000, len=470000 
0x000000380000-0x0000007f0000 : "rootfs_data"
0x0000007f0000-0x000000800000 : "art"
0x000000020000-0x0000007f0000 : "firmware"
Realtek RTL8366RB ethernet switch driver version 0.2.3
rtl8366rb rtl8366rb: using GPIO pins 18 (SDA) and 19 (SCK)
rtl8366rb rtl8366rb: RTL5937 ver. 3 chip found
rtl8366rb: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth0: using fixed link parameters
Atheros AR71xx hardware watchdog driver version 0.1.0
ar71xx-wdt: timeout=15 secs (max=21)
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 152k freed
Please be patient, while OpenWrt loads ...
input: gpio-buttons as /devices/platform/gpio-buttons/input/input0
Button Hotplug driver version 0.3.1
ar71xx: pll_reg 0xb8050014: 0x1a000000
eth0: link up (1000Mbps/Full duplex)
Registered led device: tl-wr1043nd:green:usb
Registered led device: tl-wr1043nd:green:system
Registered led device: tl-wr1043nd:green:qss
Registered led device: tl-wr1043nd:green:wlan
mini_fo: using base directory: /
mini_fo: using storage directory: /overlay
eth0: link down
ar71xx: pll_reg 0xb8050014: 0x1a000000
eth0: link up (1000Mbps/Full duplex)
device eth0.1 entered promiscuous mode
device eth0 entered promiscuous mode
br-lan: port 1(eth0.1) entering forwarding state
Compat-wireless backport release: compat-wireless-2011-06-23
Backport based on wireless-testing.git master-2011-06-22
cfg80211: Calling CRDA to update world regulatory domain
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
usbcore: registered new interface driver rt73usb
ath: EEPROM regdomain: 0x0
ath: EEPROM indicates default country code should be used
ath: doing EEPROM country->regdmn map search
ath: country maps to regdmn code: 0x3a
ath: Country alpha2 being used: US
ath: Regpair used: 0x3a
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
ieee80211 phy0: Atheros AR9100 MAC/BB Rev:7 AR2133 RF Rev:a2 mem=0xb80c0000, irq=2
cfg80211: Calling CRDA for country: US
usbcore: registered new interface driver rt2800usb
cfg80211: Regulatory domain changed to country: US
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
PPP generic driver version 2.4.2
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 24
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ar71xx-ehci ar71xx-ehci: Atheros AR91xx built-in EHCI controller
ar71xx-ehci ar71xx-ehci: new USB bus registered, assigned bus number 1
ar71xx-ehci ar71xx-ehci: irq 3, io mem 0x1b000000
ar71xx-ehci ar71xx-ehci: USB 2.0 started, EHCI 1.00
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 1 port detected
usb 1-1: new high speed USB device using ar71xx-ehci and address 2
nf_conntrack version 0.5.0 (460 buckets, 1840 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
usb 1-1: configuration #1 chosen from 1 choice
usb 1-1: reset high speed USB device using ar71xx-ehci and address 2
ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
Registered led device: rt2800usb-phy1::radio
Registered led device: rt2800usb-phy1::assoc
Registered led device: rt2800usb-phy1::quality
ath_hal: module license 'Proprietary' taints kernel.
Disabling lock debugging due to kernel taint
ath_hal: 2009-05-08 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, REGOPS_FUNC, XR)
ath_pci: trunk
wlan: trunk
wlan: mac acl policy registered
ath_rate_minstrel: Minstrel automatic rate control algorithm 1.2 (trunk)
ath_rate_minstrel: look around rate set to 10%
ath_rate_minstrel: EWMA rolloff level set to 75%
ath_rate_minstrel: max segment size in the mrr set to 6000 us
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
device wlan0 entered promiscuous mode
br-lan: port 2(wlan0) entering forwarding state
device wlan0 left promiscuous mode
br-lan: port 2(wlan0) entering disabled state
device wlan0 entered promiscuous mode
br-lan: port 2(wlan0) entering forwarding state
device wlan1 entered promiscuous mode
br-lan: port 3(wlan1) entering forwarding state
device wlan1 left promiscuous mode
br-lan: port 3(wlan1) entering disabled state
device wlan1 entered promiscuous mode
br-lan: port 3(wlan1) entering forwarding state
ar71xx-wdt: enabling watchdog timer
br-lan: port 3(wlan1) entering disabled state
br-lan: port 3(wlan1) entering forwarding state

Attachments (0)

Change History (2)

comment:1 Changed 6 years ago by semigodking@…

Can you try the latest trunk release? I think it should work now. At least, my RT3070 works fine on similar platform. Please also feed back so that this ticket can be handled properly.

comment:2 Changed 6 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.